import React from 'react';
import TableSettingContext from "./TableSettingContext";

/**
 * @title: 表单设置Provider
 * @description: 提供表单设置信息
 */
var TableSettingProvider = function TableSettingProvider(props) {
  var children = props.children,
    dataSource = props.dataSource;
  var value = React.useMemo(function () {
    return {
      dataSource: dataSource
    };
  }, [dataSource]);
  return /*#__PURE__*/React.createElement(TableSettingContext.Provider, {
    value: value
  }, children);
};
export default TableSettingProvider;